1. Hey! Guest! The 36th GMC Jam will take place between February 27th, 12:00 UTC - March 2nd, 12:00 UTC. Why not join in! Click here to find out more!
    Dismiss Notice
  2. NOTICE: We will be applying a Xenforo update on Tuesday 25th of February. This means that from approximately 10:00 to 14:00 BST the forums will be offline (or possibly longer). Sorry for the inconvenience! Official Announcement here.

Question - General Problem with IronSource extension - game can't build - GM:S 1.4

Discussion in 'Marketplace' started by Or_777, Jan 23, 2020.

  1. Or_777

    Or_777 Member

    Joined:
    Jan 22, 2020
    Posts:
    1
    Hi, I have quite a weird situation here. I hope someone had that problem and knows how to fix it.

    About 3 months ago I bought the IronSource ad mediation extension and I tried it on an empty project.
    It worked perfectly in that specific project. But now in my game, and in any empty project I create, it has a problem:
    Normally when I try to run, the build process gets stuck after these lines:

    "To run dex in process, the Gradle daemon needs a larger heap.
    It currently has 1024 MB.
    For faster builds, increase the maximum heap size for the Gradle daemon to at least 1536 MB.
    To do this set org.gradle.jvmargs=-Xmx1536M in the project gradle.properties.
    For more information see https://docs.gradle.org/current/userguide/build_environment.html"

    And eventually after a few minutes it gives me a build error.
    This also happens after I clean the cache. The first project, the only one that worked, now also fails to build after I cleaned it's cache.

    Interestingly, when I create a new project, if I create an empty room and run, and only then import the extension and run, it builds successfully, but the extension doesn't work, and in the CMD there is an infinite list of errors that goes on and on nonstop. Errors like this:

    "Attempting to call extension function with no extensions loaded ironSrc_isInterstitialReady on class IronSourceAds"

    I should note that I have followed the extension documentation, and in every project I make sure that the AppKey is correct, and that the Target SDK and everything in that section are correct.

    I will greatly appreciate any help.
    (by the way, I tried to contact the publisher but it didn't help either...)
     
  2. gnysek

    gnysek Member

    Joined:
    Jun 20, 2016
    Posts:
    1,385
    Support for GameMaker Studio 1.4 has ended of 31st July 2018, and since that moment, it's no longer maintained. As such, that may mean it's not compatible with latest versions of Android SDKs, so everything may happen in fact, and there will be no fix for this sadly, as YYG don't work on 1.4 anymore.
     

Share This Page